plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
}

android {
    namespace = "com.audio.record.screen.test"
    compileSdk = 35

    defaultConfig {
        applicationId = "com.audio.record.screen.test"
        minSdk = 24
        targetSdk = 35
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    buildFeatures{
        viewBinding = true
    }
    externalNativeBuild {
        cmake {
            version = "3.22.1"
        }
    }
//    repositories {
//        flatDir {
//            dirs("libs")
//        }
//    }
}

dependencies {

    implementation("androidx.core:core-ktx:1.13.0")
    implementation("androidx.appcompat:appcompat:1.7.0")
    implementation("com.google.android.material:material:1.12.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")



    implementation ("androidx.camera:camera-core:1.4.2")
    implementation ("androidx.camera:camera-camera2:1.4.2")
    implementation ("androidx.camera:camera-lifecycle:1.4.2")
    implementation ("androidx.camera:camera-view:1.4.2")

//    implementation ("com.arthenica:ffmpeg-kit-full:4.5.1")
//    implementation ("com.arthenica:ffmpeg-kit-full:6.0")

//    implementation ("com.arthenica:ffmpeg-kit-full-gpl-6.0")

    implementation ("androidx.media3:media3-exoplayer:1.6.1")
    implementation ("androidx.media3:media3-ui:1.6.1")

    implementation("com.github.bumptech.glide:glide:4.16.0")

    implementation ("com.github.Jay-Goo:RangeSeekBar:v3.0.0")

    implementation("androidx.navigation:navigation-ui-ktx:2.8.9")
    implementation("androidx.navigation:navigation-fragment-ktx:2.8.9")

    implementation("com.github.bumptech.glide:glide:4.16.0")

    implementation(files("libs/jetified-ffmpeg-kit-full-6.0.aar"))
    implementation(files("libs/smart-exception-common-0.2.1.jar"))
    implementation(files("libs/smart-exception-java-0.2.1.jar"))

}